import type { ErrorSystem } from '@/api/device/interface/error'
import http from '@/api'

/**
 * @name 误差体系管理模块
 */

//获取误差体系
export const getPqErrSysList = (params: ErrorSystem.ErrorSystemList) => {
  return http.post(`/pqErrSys/list`, params)
}

//根据id查询误差体系
export const getPqErrSysListById = (params: ErrorSystem.ErrorSystemList) => {
  return http.get(`/pqErrSys/getById?id=${params.id}`)
}

//添加误差体系
export const addPqErrSys = (params: ErrorSystem.ErrorSystemList) => {
  return http.post(`/pqErrSys/add`, params)
}

//编辑误差体系
export const updatePqErrSys = (params: ErrorSystem.ErrorSystemList) => {
  return http.post(`/pqErrSys/update`, params)
}

//删除误差体系
export const deletePqErrSys = (params: string[]) => {
  return http.post(`/pqErrSys/delete`, params)
}



